Copyright: Copyright © 1995 Gamma Software


Contents
Properties

This tutorial describes how to set different drawing properties.  These properties set things like the type, color and size of the drawing elements you create.  In this tutorial, we are not concerned with where we place the drawing elements.  We are only concerned with their appearance (i.e. the property we are looking at).  We will not give you exact coordinates to create the drawing elements.  Just move the mouse cursor to a point in the drawing area and click the left mouse button to select a point.  The points used in creating a drawing element cannot be the same, so move the mouse and select a different point each time.  This tutorial assumes you have completed the tutorial on creating drawing elements.

Next page >>


page2
Properties

We will start with the line properties.  Line properties affect not only lines, but also arcs, circles, polylines and rectangles.  They also affect how the lines in dimensions are drawn.  Choose the File/New command to create a new drawing.

The first line property we will look at is color.  Choose the Options/Line properties/Line color command.  The Windows Color common dialog is displayed.  Click on the red box and click on the OK button.  The color of the line in the box under Line Parm's in the status area will change to red.  This indicates the current line color.

Draw a line, an arc and a circle.  They should all be red.

Next page >>


page3
Properties

When selecting colors, this program does not limit you as to which colors you can select.  If you choose a color which maps to the same color as the drawing area background, when you create a drawing element using that color, you will not be able to see it.  It is still there, however.  Lines can only be drawn using solid colors.  If you choose a dithered color (one made up of more than one color), Windows maps it to the closest solid color.  This could map a color which appears to be different than the drawing area background color, to the background color.

Next page >>


page4
Properties

The next line property we will look at is type.  Choose the Options/Line properties/Line type command.  The line type dialog is displayed.  Click on the Dash radio button and click on the OK button.  The type of the line in the box under Line Parm's in the status area will change to dashed.  This indicates the current line type.  Draw a line, an arc and a circle.  They should all be red and dashed.

Next page >>


page5
Properties

The next line property we will look at is width.  Choose the Options/Line properties/Line width command.  The line width dialog is displayed.  Enter "0.2" and click on the OK button.  The Line Parm's box in the status area will display 0.2.  This indicates the current line width.  Draw a line, an arc and a circle.  They should all be red and have a width of 0.2.  You may be wondering why they are not also dashed.  Lines with a width other than 0 can only be solid.

Next page >>


page6
Properties

Now we will look at text properties.  Choose the Options/Text properties/Text font command.  This will bring up the Windows common font dialog.  Click on the Arial font in the Font list box.  Select a size of 48 and the color blue.  The box below Text Parm's in the status area displays the current font and text height (if space permits).

The size you specify in the font dialog is in points (1/72 inches).  It is the size you want the text to be when it is printed/plotted.  This value is converted by GammaCAD to drawing units using the current plot scale (we will discuss plot scale in a later tutorial).  The status area displays the height in drawing units.  Since the default plot scale is 1"=1 drawing unit, the status area displays 0.67 (48/72).

Next page >>


page7
Properties

Draw a text string.  It is drawn using the current text properties.

Sometimes it may be easier to specify the height of text using drawing units (i.e. the same units used when creating other drawing elements).  The Options/Text properties/Text height command allows you to do this.  Select this command and enter a height of "1."  Draw another text string.  It will have a height of 1 drawing unit.  The status area will display a height of 1.

Next page >>


page8
Properties

Text can also be drawn at an angle.  Choose the Options/Text properties/Text angle command and enter "45" in the dialog.  Draw another text string.  The baseline of the text will be at a 45 degree angle.  The text angles are measured in degrees counterclockwise from the x-axis.

Next page >>


page9
Properties

The last text property we will look at is justification.  When you draw text, the program prompts you to enter the text alignment point.  This point defaults to the top, left corner of the text string.  The Text justification command allows you to change this position.  Choose the Options/Text properties/Text justification command.  Select the Right radio button for the Horizontal Alignment and the Bottom radio button for the Vertical Alignment and click on OK.  Draw another text string.  The alignment point you pick will correspond to the bottom, right corner of the text string.  The text is still drawn at a 45 degree angle.

Next page >>


page10
Properties

Now we will look at point properties.  The color, type and size of points can be set.  Choose the Options/Point properties/Point color command and select a green box and click on OK.  The box below the text Point Parm's displays the current point type, color and size.

Draw a point.  It is drawn in the selected color.

Next page >>


page11
Properties

Choose the Options/Point properties/Point type command, click on the X radio button and press OK.  Choose the Point size command and enter a value of "0.5."  Now when you draw a point, it will be an X and larger than the first point.

Next page >>


page12
Properties

The Options/Fill / Hatch properties commands allow you to specify how filled areas are created.  You can specify a type of solid or one of the hatch patterns.  You can also select the fill / hatch color.  Use the Draw/Rectangle command to create a rectangle and the Draw/Polyline/Closed polyline to create a polyline with at least three segments.  Now choose the Fill / Hatch color command and select a color.  Choose the Draw/Fill / Hatch command and move the box cursor so one edge of the rectangle passes through it.  Click the left mouse button.  The rectangle is solid filled in the selected color.

Next page >>


page13
Properties

Choose the Options/Fill / Hatch properties/Fill / Hatch type command and select Forward Diagonal Hatch radio button.  The box below Fill Parm's in the status area displays the current fill properties.

Choose the Draw/Fill / Hatch command and move the box cursor so the polyline you drew earlier passes through it.  Click the left mouse button.  The polyline is hatched using the current hatch properties.  Only polylines can be filled or hatched (rectangles are drawn as polylines).

Next page >>


page14
Properties

Drawing elements can be placed on different layers.  Every drawing element is on a layer.  Initially the layer MAIN is created and all elements are placed on it by default.  You can create as many other layers as you like.  Layers allow you to group drawing elements together.  For example, if you were drawing a floor plan, you might like to place the walls, doors, etc. on one layer and place furniture on another layer.  This would allow you to turn the furniture layer on and off and view the floor plan with and without the furniture.  Each layer also has its own set of properties.  You can set different line types, colors, etc. for each layer.

Next page >>


page15
Properties

Choose the File/Open command and double click on the file tutor5.gc1.  This drawing demonstrates some of the uses of layers.  Choose the Options/Layers command.  The layer dialog is displayed.  The list box at the top of the dialog lists the 4 layers in this drawing: MAIN, LAYER1, LAYER2, LAYER3.  Move the mouse cursor over the LAYER1 text and click the left mouse button.  The layer will be highlighted.  Click on the Off button and the x in the On column is removed.  Press the OK button.  LAYER1 is now off.  It is not drawn and cannot be selected or modified.

Next page >>


page16
Properties

The figures below show the drawing before and after turning LAYER1 off.  The elements on LAYER1 are not displayed in the second figure.  They have not been deleted, they just are not displayed.

Next page >>


page17
Properties

Choose the Options/Layers command again and click on LAYER2.  Press the Lock button and an x will appear in the Lock column for LAYER2.  Press OK.  Move the mouse cursor to the top, left corner of the page (the green rectangle).  Click and drag (click and hold down the left mouse button) the cursor to the lower, right corner of the page (release mouse button).  All the visible elements are selected, except the blue elements on LAYER2.  When a layer is locked, it cannot be edited.  We will cover element selection and editing in a later tutorial.  Choose the Edit/Select/Clear command to clear the selection.

Next page >>


page18
Properties

Choose the Layers command again.  Click on LAYER1 and LAYER2 to highlight both of them.  Click on the On button and the Unlock button.  This turns both layers on and unlocks them.  Click on LAYER2 again to unselect it.  Click on the Current button.  The x in the Current column for the MAIN layer is removed and an x is placed in the Current column for LAYER1.  Click on OK.  LAYER1 is now the current layer.  The name in the box below Layer in the status area displays the current layer.  It has changed from MAIN to LAYER1.

Next page >>


page19
Properties

The current layer is the one in which all new drawing elements are placed.  The properties which are set for that layer are the ones used in creating new elements.  Draw a line anywhere in the drawing area.  It will be placed on LAYER1 and be red and dashed, since these are the line properties for LAYER1.

You will also notice the elements on LAYER1 are displayed again, since we turned this layer back on.  LAYER2 can now be edited since we unlocked it.

Next page >>


page20
Properties

Choose the Layers command again.  Click on the edit box to the right of the text New Layer to activate it.  Type in the text "layer4" and press Enter.  A new layer name is added to the list box above.  The layer is not actually added to the drawing until you press OK.  To make the layer current, click on LAYER4 in the list box and press the Current button.  Press the OK button.  Any new drawing elements you create will be placed on LAYER4 and the properties you set will be for LAYER4.

Next page >>


page21
Properties

The Print/No print property in the layer dialog functions similarly to lock/unlock and on/off.  When a layer is not printable, it is not drawn on the printer/plotter.  It is still displayed, as long as it is on.  This is useful for construction lines which are not actually part of the drawing.

To rename a layer, click on the layer(s) to be renamed and click on the Rename button.  A dialog will be displayed which contains the layer name for each selected layer.  Make any changes you desire and press the OK button.

This ends this tutorial.